\name{summary.clark}
\alias{summary.ClarkLDF}
\alias{summary.ClarkCapeCod}
\title{ Summary methods for Clark objects }

\description{
  \code{summary} 
  methods for \code{ClarkLDF} and \code{ClarkCapeCod} objects
}
\usage{
\method{summary}{ClarkLDF}(object, \dots)

\method{summary}{ClarkCapeCod}(object, \dots)

}
\arguments{
    \item{object}{object resulting from a run of the \code{\link{ClarkLDF}} 
        or \code{\link{ClarkCapeCod}} functions.
        }
    \item{\dots}{not currently used}
}
\details{
\code{summary.ClarkLDF} returns a \code{data.frame} that holds the columns of a
typical "Development-type" exhibit.

\code{summary.ClarkCapeCod} returns a \code{data.frame} that holds the columns of a
typical "Bornhuetter-Ferguson-type" exhibit.

}
\value{
    \code{summary.ClarkLDF} and \code{summary.ClarkCapeCod} return 
        \code{data.frame}s whose columns are objects of the appropriate \code{mode}
        (i.e., \code{character} for "Origin", otherwise \code{numeric})

}

\author{ Dan Murphy }
\seealso{ See also \code{\link{ClarkLDF}} }
\examples{
y <- ClarkLDF(RAA)
summary(y)

}
\keyword{ methods }
\keyword{ summary }
